MOUNTD(8)

NAME
mountd - service remote NFS mount requests

SYNOPSIS
mountd [-2AadelNnRrSs] [-h bindip] [-p port] [exportsfile ...]

DESCRIPTION
The mountd utility is the server for NFS mount requests from other client machines. It listens for service requests at the port indicated in the NFS server specification; see RFC1094, Appendix A and RFC1813, Appendix I.

The following options are available:

-2  Allow the administrator to force clients to use only the version 2 NFS protocol to mount file systems from this server.

-A  Silence the warnings related to “administrative controls”. These warnings remind users that an exported “administrative control” directory that is not a local server file system mount point actually exports the entire local file system and not just the subtree below the directory exported. (See exports(5))

-a  Enforce the check for an exported directory being a file system mount point, if the --alldirs option is specified in exports(5) for the export file line. With this option, the exports line will fail, whereas without this option, a warning will be generated by syslog(8), but the export will be done.

-d  Output debugging information. mountd will not detach from the controlling terminal and will print debugging messages to stderr.

-e  Ignored; included for backward compatibility.

-h bindip
    Specify specific IP addresses to bind to for TCP and UDP requests. This option may be specified multiple times. If no -h option is specified, mountd will bind to INADDR_ANY. Note that when specifying IP addresses with -h, mountd will automatically add 127.0.0.1 and if IPv6 is enabled, ::1 to the list.

-l  Cause all succeeded mountd requests to be logged.

-N  Cause mountd to execute in the foreground instead of in daemon mode.

-n  Allow non-root mount requests to be served. This should only be specified if there are clients such as PC's, that require it. It will automatically clear the vfs.nfsd.nfs_privport sysctl flag, which controls if the kernel will accept NFS requests from reserved ports only.

-p port
    Force mountd to bind to the specified port, for both AF_INET and AF_INET6 address families. This is typically done to ensure that the port which mountd binds to is a known quantity which can be used in firewall rulesets. If mountd cannot bind to this port, an appropriate error will be recorded in the system log, and the daemon will then exit.

-R  Do not support the Mount protocol and do not register with rpcbind(8). This can be done for NFSv4 only servers, since the Mount protocol is not used by NFSv4. Useful for NFSv4 only servers that do not wish to run rpcbind(8). showmount(8) will not work, however since NFSv4 mounts are not shown by showmount(8), this should not be an issue for an NFSv4 only server.

-r  Allow mount RPCs requests for regular files to be served. Although this seems to violate the mount protocol specification, some diskless workstations do mount requests for their swapfiles and expect them to be regular files. Since a regular file cannot be specified in /etc/exports, the entire file system in which the swapfiles resides will have to be exported with the -alldirs flag.

exportsfile
    Specify an alternate location for the exports file. More than one exports file can be specified.

-S  Tell mountd to suspend/resume execution of the nfsd threads whenever the exports list is being reloaded. This avoids intermittent access errors for clients that do NFS RPCs while the exports are being reloaded, but introduces a delay in RPC response while the reload is in progress. If mountd crashes while an exports load is in progress, mountd must be restarted to get the nfsd threads running again, if this option is used.

-s  Cause mountd to skip automatic binding to localhost for IPv4 and IPv6. This option is meaningless unless -h has also been used.

When mountd is started, it loads the export host addresses and options into the kernel using the nmount(2) system call. After changing the exports file, a hangup signal should be sent to the mountd daemon to get it to reload the export information. After sending the SIGHUP (kill -s HUP `cat /var/run/mountd.pid`), check the syslog output to see if mountd logged any parsing errors in the exports file.

If multiple instances of mountd are being run, either in multiple jails or both within and outside of a jail, care must be taken to export any given file system in only one of the instances. Note that the allow.nfsd jail parameter is required to allow mountd to run in a jail. See jail(8) for more information.

If mountd detects that the running kernel does not include NFS support, it will attempt to load a loadable kernel module containing NFS code, using kldload(2). If this fails, or no NFS KLD was available, mountd exits with an error. When run in a jail, the kldload(2) must be done outside the jail, typically by adding “nfsd” to kld_list in the rc.conf(5) file on the jail host.

FILES
/etc/exports
    the list of exported file systems
/var/run/mountd.pid
    the pid of the currently running mountd
/var/db/mountdtab
    the current list of remote mounted file systems

SEE ALSO
nfsstat(1), kldload(2), nfsv4(4), exports(5), rc.conf(5), jail(8), nfsd(8), rpcbind(8), showmount(8), syslog(8)

HISTORY
The mountd utility first appeared in 4.4BSD.